View Issue Details

IDProjectCategoryView StatusLast Update
0003802SymmetricDSImprovementpublic2018-12-06 13:00
ReporterelongAssigned Toelong 
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.10.0 
Target Version3.10.0Fixed in Version3.10.0 
Summary0003802: Faster two-pass initial load for tables with LOB on Oracle
DescriptionDuring initial load on Oracle or Tibero, extract tables with LOBs using two passes across the table. The first pass gets rows where the LOBs are length 4000 or less, performing a substring for the first 4000 characters. These rows will extract very fast and stay within the SQL limit for a VARCHAR. The second pass gets the rows where any of the LOBs are length over 4000, performing the slower LOB retrieval.

Parameter driven just in case it needs disabled: initial.load.extract.use.two.pass.lob=true

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 98deedd2

2018-11-21 14:58:13

admin

Details Diff
0003802: Faster two-pass initial load for tables with LOB on Oracle
0003802
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/tibero/TiberoSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/ISymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

SymmetricDS: 3.10 e04c07b6

2018-12-05 16:40:15

admin

Details Diff
0003802: Faster two-pass initial load for tables with LOB on Oracle
0003802
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/tibero/TiberoSymmetricDialect.java Diff File

SymmetricDS: 3.10 6aa39c62

2018-12-05 16:40:58

admin

Details Diff
0003802: Faster two-pass initial load for tables with LOB on Oracle
0003802
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File

Issue History

Date Modified Username Field Change
2018-11-21 14:41 elong New Issue
2018-11-21 14:41 elong Status new => assigned
2018-11-21 14:41 elong Assigned To => elong
2018-11-21 14:59 elong Status assigned => resolved
2018-11-21 14:59 elong Resolution open => fixed
2018-11-21 14:59 elong Fixed in Version => 3.10.0
2018-11-28 11:00 admin Changeset attached => SymmetricDS 3.10 98deedd2
2018-12-06 13:00 admin Changeset attached => SymmetricDS 3.10 6aa39c62
2018-12-06 13:00 admin Changeset attached => SymmetricDS 3.10 e04c07b6